Subject: Re: [PATCH dscape] d80211: Switch d80211.h to IEEE80211_ style names

From: "John W. Linville" <[email-masked]>
Date: Tue, 1 Aug 2006 13:11:04 -0400

On Tue, Aug 01, 2006 at 04:25:05PM +0200, Ivo Van Doorn wrote:
> Hi,
> 
> >> Do you have a plan when you will merge rt2x00 patches so I can apply
> >> Michael's renaming patch(es) without risk of conflicts?
> >
> >Working on it ~now.  I hit a snag in that Ivo's patches seem to rely on
> >his radio button patch, which I had ignored until now.  I'll probably
> >pull that in this morning (or figure-out how to not need it) and get
> >something pushed to wireless-dev sometime today.
> 
> Ehm, that should not have happened. The rt2x00 version I had send as patches
> had the radio button integrated as they had been in wireless-dev already.
> The patch to convert it to the rfkill driver is one of the patches
> I'll send later.

The rfkill stuff seems to be behind a CONFIG_RT2X00_BUTTON define,
which keys off some driver-specific Kconfig stuff.  They were
getting turned-on by default w/ 'allmodconfig' and 'allyesconfig'.
Turning them off in .config lets them compile.

In general, I'd prefer not to have Kconfig-settable options that
don't compile.  But in this case I guess we'll just live with it.
After all, it is a development tree... :-)

John
-- 
John W. Linville
[email-masked]